Artificially increase load. Could be useful in tests, benchmarking

- « Eio Functions

- eio_cancel »

- PHP Manual
- Eio Functions
- Artificially increase load. Could be useful in tests, benchmarking

# eio_busy

(PECL eio >= 0.0.1dev)

eio_busy — Artificially increase load. Could be useful in tests, benchmarking

### Description

eio_busy(
int `$delay`,
int `$pri` = EIO_PRI_DEFAULT,
callable `$callback` = NULL,
mixed `$data` = NULL
): resource

eio_busy() artificially increases load taking `delay` seconds to execute. May be used for debugging, or benchmarking.

### Parameters

`delay`

  Delay in seconds

`pri`

  The request priority: `EIO_PRI_DEFAULT`, `EIO_PRI_MIN`, `EIO_PRI_MAX`, or `null`. If `null` passed, `pri` internally is set to `EIO_PRI_DEFAULT`.

`callback`

  This callback is called when all the group requests are done.

`data`

  Arbitrary variable passed to `callback`.

### Return Values

eio_busy() returns request resource on success, or `false` on failure.

### See Also

- eio_nop() - Does nothing, except go through the whole request cycle